<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Users/tri/AVO/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un lieu pour un AVO</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!avoForm.invalid && save()" #avoForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Lieu du nouvel AVO</mat-label>
            <input minlength="3" name="nomLieu" matInput placeholder="Ex. Madrid" [(ngModel)]="newAvo.nomLieu" required>
            <mat-error *ngIf="nomLieu.invalid">{{getErrorMessage()}}</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!avoForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

